# stdex: stdex::parser::basic_ipv6_address< T > Class Template Reference

Loading...
Searching...
No Matches
stdex::parser::basic_ipv6_address< T > Class Template Reference

Test for IPv6 address. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_ipv6_address< T >:

## Public Member Functions

basic_ipv6_address (const std::shared_ptr< basic_parser< T > > &digit_0, const std::shared_ptr< basic_parser< T > > &digit_1, const std::shared_ptr< basic_parser< T > > &digit_2, const std::shared_ptr< basic_parser< T > > &digit_3, const std::shared_ptr< basic_parser< T > > &digit_4, const std::shared_ptr< basic_parser< T > > &digit_5, const std::shared_ptr< basic_parser< T > > &digit_6, const std::shared_ptr< basic_parser< T > > &digit_7, const std::shared_ptr< basic_parser< T > > &digit_8, const std::shared_ptr< basic_parser< T > > &digit_9, const std::shared_ptr< basic_parser< T > > &digit_10, const std::shared_ptr< basic_parser< T > > &digit_11, const std::shared_ptr< basic_parser< T > > &digit_12, const std::shared_ptr< basic_parser< T > > &digit_13, const std::shared_ptr< basic_parser< T > > &digit_14, const std::shared_ptr< basic_parser< T > > &digit_15, const std::shared_ptr< basic_parser< T > > &separator, const std::shared_ptr< basic_parser< T > > &scope_id_separator=nullptr, const std::shared_ptr< basic_parser< T > > &_scope_id=nullptr, const std::locale &locale=std::locale())

virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< T, std::char_traits< T > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes

stdex::interval< size_t > | components [8]
| Individual component intervals.
struct in6_addr | value
| IPv6 address value.
std::shared_ptr< basic_parser< T > > | scope_id
| Scope ID (e.g. NIC index with link-local addresses)
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Member Functions

virtual bool | do_match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Protected Attributes

std::shared_ptr< basic_parser< T > > | m_digit_0
std::shared_ptr< basic_parser< T > > | m_digit_1
std::shared_ptr< basic_parser< T > > | m_digit_2
std::shared_ptr< basic_parser< T > > | m_digit_3
std::shared_ptr< basic_parser< T > > | m_digit_4
std::shared_ptr< basic_parser< T > > | m_digit_5
std::shared_ptr< basic_parser< T > > | m_digit_6
std::shared_ptr< basic_parser< T > > | m_digit_7
std::shared_ptr< basic_parser< T > > | m_digit_8
std::shared_ptr< basic_parser< T > > | m_digit_9
std::shared_ptr< basic_parser< T > > | m_digit_10
std::shared_ptr< basic_parser< T > > | m_digit_11
std::shared_ptr< basic_parser< T > > | m_digit_12
std::shared_ptr< basic_parser< T > > | m_digit_13
std::shared_ptr< basic_parser< T > > | m_digit_14
std::shared_ptr< basic_parser< T > > | m_digit_15
std::shared_ptr< basic_parser< T > > | m_separator
std::shared_ptr< basic_parser< T > > | m_scope_id_separator
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_ipv6_address< T >

Test for IPv6 address.

## Member Function Documentation

## do_match()

template<class T >

virtual bool stdex::parser::basic_ipv6_address< T >::do_match | ( | _In_reads_or_z_opt_(end) const T * | text,
|  | size_t | start = 0,
|  | size_t | end = SIZE_MAX,
|  | int | flags = match_default )

inlineprotectedvirtual

Implements stdex::parser::basic_parser< T >.

## invalidate()

template<class T >

virtual void stdex::parser::basic_ipv6_address< T >::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp